<br/>
<div fxLayout='row' fxLayout.xs="column" fxLayoutGap="1%"  fxLayoutAlign="center">

<div fxFlex="25%">
  <mat-card>
    <mat-card-header>
      <mat-card-title>Login:</mat-card-title>

    </mat-card-header>
    <mat-card-content>
      <form [formGroup]="loginForm" (ngSubmit)="login()">
        <div>
            <mat-form-field>
              <mat-label>Email</mat-label>
              <input matInput  type="email" formControlName="email" >
              <mat-error *ngIf="loginForm.invalid">Keine gültige Email-Adresse</mat-error>
            </mat-form-field>
            <div>
              <mat-form-field>
                <mat-label>Passwort</mat-label>
                <input matInput  type="password" formControlName="password">
              </mat-form-field>
            </div>
            <div>
              <button mat-raised-button color="primary" type="submit" [disabled]="loginForm.invalid">Login</button>
            </div>
          <button mat-button type="button" (click)="resetPassword()">Passwort vergessen?</button>
        </div>
      </form>
    </mat-card-content>
  </mat-card>
</div>
  <div fxFlex="25%">
    <mat-card>
      <mat-card-header>
        <mat-card-title>Registrieren:</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form [formGroup]="registerForm" (ngSubmit)="register()">
            <div>
              <mat-form-field>
                <mat-label>Email</mat-label>
                <input matInput  type="email" formControlName="email" >
                <mat-error *ngIf="registerForm.invalid">Keine gültige Email-Adresse</mat-error>
              </mat-form-field>

              <div>
                <mat-form-field>
                  <mat-label>Passwort</mat-label>
                  <input matInput  type="password" formControlName="password" >
                </mat-form-field>
              </div>
              <div>
                <button mat-raised-button color="primary" type="submit" [disabled]="registerForm.invalid">Registrieren</button>
              </div>
            </div>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>
